org.richfaces.component

## Class DataAdaptorIterationState

- java.lang.Object
- - org.richfaces.component.DataAdaptorIterationState

- All Implemented Interfaces:
    javax.faces.component.StateHolder

      public final class DataAdaptorIterationState
      extends Object
      implements javax.faces.component.StateHolder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataAdaptorIterationState()`
    `DataAdaptorIterationState(org.ajax4jsf.model.DataComponentState componentState, org.ajax4jsf.model.ExtendedDataModel<?> dataModel)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.ajax4jsf.model.DataComponentState` | `getComponentState()`
    `org.ajax4jsf.model.ExtendedDataModel<?>` | `getDataModel()`
    `boolean` | `isTransient()`
    `void` | `restoreComponentState(UIDataAdaptor uiDataAdaptor)`
    `void` | `restoreState(javax.faces.context.FacesContext context, Object stateObject)`
    `Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setTransient(boolean newTransientValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataAdaptorIterationState

          public DataAdaptorIterationState()

    - #### DataAdaptorIterationState

          public DataAdaptorIterationState(org.ajax4jsf.model.DataComponentState componentState,
                                   org.ajax4jsf.model.ExtendedDataModel<?> dataModel)

  - ### Method Detail

    - #### getDataModel

          public org.ajax4jsf.model.ExtendedDataModel<?> getDataModel()

    - #### getComponentState

          public org.ajax4jsf.model.DataComponentState getComponentState()

    - #### restoreComponentState

          public void restoreComponentState(UIDataAdaptor uiDataAdaptor)

      Parameters:
        `uiDataAdaptor` -

    - #### setTransient

          public void setTransient(boolean newTransientValue)

      Specified by:
        `setTransient` in interface `javax.faces.component.StateHolder`

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `javax.faces.component.StateHolder`

    - #### saveState

          public Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          Object stateObject)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.